[arch-commits] Commit in bluez/repos (5 files)

Jan de Groot jgc at archlinux.org
Sat May 2 15:25:26 UTC 2009


    Date: Saturday, May 2, 2009 @ 11:25:25
  Author: jgc
Revision: 37504

Merged revisions 37503 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/bluez/trunk

........
  r37503 | jgc | 2009-05-02 15:25:09 +0000 (Sat, 02 May 2009) | 8 lines
  
  upgpkg: bluez 4.37-1
      Update to 4.37
  Add sleep to rc script, this great daemon forks before it initializes and does not clean up sockets on close. I see no other simple way.
  Add patch to operate correctly with stupid devices that do not work according to standards (yes, that means Microsoft hardware)
  Add patch to put a specific wacom tablet in mode2
  Both patches borrowed from Redhat/Fedora
  Add simple bluetooth agent
  Move udev rules to the correct location
........

Added:
  bluez/repos/extra-x86_64/bluez-activate-wacom-mode2.patch
    (from rev 37503, bluez/trunk/bluez-activate-wacom-mode2.patch)
  bluez/repos/extra-x86_64/bluez-try-utf8-harder.patch
    (from rev 37503, bluez/trunk/bluez-try-utf8-harder.patch)
Modified:
  bluez/repos/extra-x86_64/	(properties)
  bluez/repos/extra-x86_64/PKGBUILD
  bluez/repos/extra-x86_64/rc.bluetooth

----------------------------------+
 PKGBUILD                         |   53 +++++++++++++++++++++++--------------
 bluez-activate-wacom-mode2.patch |   24 ++++++++++++++++
 bluez-try-utf8-harder.patch      |   23 ++++++++++++++++
 rc.bluetooth                     |    1 
 4 files changed, 82 insertions(+), 19 deletions(-)


Property changes on: bluez/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /bluez/trunk:1-27007
   + /bluez/trunk:1-37503

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-02 15:25:09 UTC (rev 37503)
+++ extra-x86_64/PKGBUILD	2009-05-02 15:25:25 UTC (rev 37504)
@@ -1,24 +1,35 @@
 # Maintainer: Geoffroy Carrier <geoffroy at archlinux.org>
 pkgname=bluez
-pkgver=4.30
+pkgver=4.37
 pkgrel=1
 pkgdesc="Libraries and tools for the Bluetooth protocol stack"
 url="http://www.bluez.org/"
 arch=('i686' 'x86_64')
 license=('GPL2')
-depends=('dbus-core' 'glib2')
-makedepends=('gstreamer0.10-base' 'alsa-lib' 'libusb')
-optdepends=('gstreamer0.10-base' 'alsa-lib' 'libusb')
+depends=('dbus-core' 'glib2>=2.20.1')
+makedepends=('gstreamer0.10-base' 'alsa-lib' 'libusb' 'libnl')
+optdepends=('gstreamer0.10-base' 'alsa-lib' 'libusb' 'libnl' 'python')
 conflicts=('bluez-libs' 'bluez-utils')
 provides=('bluez-libs' 'bluez-utils')
 replaces=('bluez-libs' 'bluez-utils')
+options=(!libtool)
 backup=(etc/bluetooth/{main,rfcomm,audio,network,input}.conf
         etc/conf.d/bluetooth)
-source=("http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2"
-        'bluetooth.conf.d'
-        'rc.bluetooth')
+source=(http://www.kernel.org/pub/linux/bluetooth/${pkgname}-${pkgver}.tar.bz2
+	bluez-activate-wacom-mode2.patch
+	bluez-try-utf8-harder.patch
+        bluetooth.conf.d
+        rc.bluetooth)
+md5sums=('ad625bf0b4c5af22e3175122c1861493'
+         '240e81c89840f181da658f4b6bd2cc0f'
+         '726e6811cfe2d9b1bde34814bb29ec9f'
+         'd12be5b494525bb1ba6eac5c3983dd3e'
+         'b67bd953082befea6ae57c6fe25993e8')
+
 build() {
-  cd "$srcdir/$pkgname-$pkgver"
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/bluez-activate-wacom-mode2.patch" || return 1
+  patch -Np1 -i "${srcdir}/bluez-try-utf8-harder.patch" || return 1
   ./configure --prefix=/usr \
         --sysconfdir=/etc \
         --localstatedir=/var \
@@ -37,17 +48,21 @@
         --enable-dund \
         --enable-cups \
         --enable-manpages \
-        --enable-configfiles \
-        --enable-pcmciarules || return 1
+        --enable-configfiles || return 1
   make || return 1
-  make DESTDIR="$pkgdir" install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -D -m644 "$srcdir/$pkgname-$pkgver/network/network.conf" "$pkgdir/etc/bluetooth/" || return 1
-  install -D -m644 "$srcdir/$pkgname-$pkgver/input/input.conf"     "$pkgdir/etc/bluetooth/" || return 1
-  install -D -m644 "$srcdir/$pkgname-$pkgver/audio/audio.conf"     "$pkgdir/etc/bluetooth/" || return 1
-  install -D -m755 "$srcdir/rc.bluetooth"                          "$pkgdir/etc/rc.d/bluetooth" || return 1
-  install -D -m644 "$srcdir/bluetooth.conf.d"                      "$pkgdir/etc/conf.d/bluetooth" || return 1
+  install -m755 -d "${pkgdir}/etc/bluetooth"
+  install -m755 -d "${pkgdir}/etc/rc.d"
+  install -m755 -d "${pkgdir}/etc/conf.d"
+  install -m644 network/network.conf input/input.conf audio/audio.conf "${pkgdir}/etc/bluetooth/" || return 1
+  install -m755 "${srcdir}/rc.bluetooth" "${pkgdir}/etc/rc.d/bluetooth" || return 1
+  install -m644 "${srcdir}/bluetooth.conf.d" "${pkgdir}/etc/conf.d/bluetooth" || return 1
+
+  install -m755 -d "${pkgdir}/etc/udev/rules.d"
+  install -m755 -d "${pkgdir}/lib/udev/"
+  install -m755 scripts/bluetooth_serial "${pkgdir}/lib/udev/" || return 1
+  install -m644 scripts/bluetooth.rules "${pkgdir}/etc/udev/rules.d/97-bluetooth-serial.rules" || return 1
+
+  install -m755 test/simple-agent "${pkgdir}/usr/bin/bluez-simple-agent" || return 1
 }
-md5sums=('5c37fb99c03f40269b9245eec3e7b7f4'
-         'd12be5b494525bb1ba6eac5c3983dd3e'
-         '03d4f2463b1b580e8d2ada3767140685')

Copied: bluez/repos/extra-x86_64/bluez-activate-wacom-mode2.patch (from rev 37503, bluez/trunk/bluez-activate-wacom-mode2.patch)
===================================================================
--- extra-x86_64/bluez-activate-wacom-mode2.patch	                        (rev 0)
+++ extra-x86_64/bluez-activate-wacom-mode2.patch	2009-05-02 15:25:25 UTC (rev 37504)
@@ -0,0 +1,24 @@
+diff --git a/input/device.c b/input/device.c
+index 0090bd4..8d65148 100644
+--- a/input/device.c
++++ b/input/device.c
+@@ -658,6 +658,19 @@ static int hidp_add_connection(const struct input_device *idev,
+ 		err = write(sk, buf, sizeof(buf));
+ 	}
+ 
++	if (req->vendor == 0x056a && req->product == 0x81) {
++		unsigned char buf[3];
++		int sk = g_io_channel_unix_get_fd(iconn->ctrl_io);
++
++		buf[0] = 0x53; /* HIDP_TRANS_SET_REPORT | HIDP_DATA_RTYPE_FEATURE */
++		buf[1] = 0x03; buf[2] = 0x00;
++		write(sk, buf, sizeof(buf));
++
++		buf[0] = 0x71; /* HIDP_TRANS_SET_REPORT | HIDP_DATA_RTYPE_FEATURE */
++		/* 0x06 - high reporting speed, 0x05 - low speed */
++		buf[1] = 0x06; buf[2] = 0x00;
++		write(sk, buf, sizeof(buf));
++	}
+ 	err = ioctl_connadd(req);
+ 
+ cleanup:

Copied: bluez/repos/extra-x86_64/bluez-try-utf8-harder.patch (from rev 37503, bluez/trunk/bluez-try-utf8-harder.patch)
===================================================================
--- extra-x86_64/bluez-try-utf8-harder.patch	                        (rev 0)
+++ extra-x86_64/bluez-try-utf8-harder.patch	2009-05-02 15:25:25 UTC (rev 37504)
@@ -0,0 +1,23 @@
+diff --git a/src/security.c b/src/security.c
+index a61d75f..75908ba 100644
+--- a/src/security.c
++++ b/src/security.c
+@@ -600,8 +600,16 @@ static inline void remote_name_information(int dev, bdaddr_t *sba, void *ptr)
+ 		memcpy(name, evt->name, 248);
+ 		/* It's ok to cast end between const and non-const since
+ 		 * we know it points to inside of name which is non-const */
+-		if (!g_utf8_validate(name, -1, (const char **) &end))
+-			*end = '\0';
++		if (!g_utf8_validate(name, -1, (const char **) &end)) {
++			char *utf8_name;
++
++			utf8_name = g_convert(name, -1, "UTF-8", "ISO-8859-1", NULL, NULL, NULL);
++			if (utf8_name) {
++				memcpy(name, utf8_name, 248);
++				g_free(utf8_name);
++			} else
++				*end = '\0';
++		}
+ 		write_device_name(sba, &dba, name);
+ 	}
+ 

Modified: extra-x86_64/rc.bluetooth
===================================================================
--- extra-x86_64/rc.bluetooth	2009-05-02 15:25:09 UTC (rev 37503)
+++ extra-x86_64/rc.bluetooth	2009-05-02 15:25:25 UTC (rev 37504)
@@ -41,6 +41,7 @@
     if [ "$DAEMON_ENABLE" = "true" -a -x "$DAEMON_EXEC" ] ; then
       stat_append " $DAEMON_NAME"
       $DAEMON_EXEC
+      sleep 1
     fi
     if [ "$HID2HCI_ENABLE" = "true" -a -x "$HID2HCI_EXEC" ] ; then
       stat_append " $HID2HCI_NAME"




More information about the arch-commits mailing list